Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000050Core InformKinds and type checkingpublic2010-06-17 13:282010-07-01 23:07
Reporterfundin 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionVista
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000050: (Dis)allowing descriptions of kinds more specific than objects
DescriptionThe example source results in this problem report:

Problem. In the line 'tally all open doors', the text 'all open
doors' seems to be a description of an object, but a description
of a thing was required.
Minimal Source Text To Reproduce
Home is a room.

To tally (D - a description of things): say "Too lazy to actually
do anything."

When play begins: tally all open doors.
Additional InformationI'm filing this under 'compiler rejects valid code', but it might
be a case of 'compiler accepts invalid code' instead, depending on
whether or not descriptions of more specific kinds are supposed to
be allowed like this (the invalid code being the phrase definition,
in that case).
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships
has duplicate 0000159closedjmcgrew a description of people does not accept "someone" 

-  Notes
(0000031)
EmacsUser (manager)
2010-06-17 20:43

Confirmed. Like the reporter, I'm not sure how to file this. It might also be ``Error message is badly worded.''
(0000085)
graham (administrator)
2010-06-20 09:27

Fixed.

This example provides the 1500th case for the Inform test suite - fanfares, balloons, cakes with many candles, etc.

- Issue History
Date Modified Username Field Change
2010-06-17 13:28 fundin New Issue
2010-06-17 14:01 jmcgrew Severity mild => serious
2010-06-17 14:01 jmcgrew Status new => acknowledged
2010-06-17 20:43 EmacsUser Note Added: 0000031
2010-06-17 20:43 EmacsUser Status acknowledged => confirmed
2010-06-20 09:27 graham Note Added: 0000085
2010-06-20 09:27 graham Status confirmed => resolved
2010-06-20 09:27 graham Resolution open => fixed
2010-06-20 09:27 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed
2010-07-02 11:27 jmcgrew Relationship added has duplicate 0000159


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker